#version unofficial MegaPOV 0.7;

#macro Cone(Bottom_Radius,Top_Radius,Height,Color,Texture)
#if(View<5)
union {
#declare Count = 0;
#while (Count<8)
cylinder {
<0,0,-Bottom_Radius>,<0,Height,-Top_Radius>,.015*Bottom_Radius
rotate y*Count*45}
#declare Count = Count+1;
#end
torus {Bottom_Radius,.015*Bottom_Radius}
torus {(Bottom_Radius+Top_Radius)/2,.015*Bottom_Radius
translate y*.5*Height} 
torus {Top_Radius,.015*Bottom_Radius translate y*Height}
cone {<0,-Height/2,0>,Bottom_Radius<0,Height/2,0>,Top_Radius
pigment {Clear} finish {ambient 0 diffuse 0}}
pigment {Color}
finish {Luminous}
no_shadow translate -y*Height/2}
#else
cone {<0,-Height/2,0>,Bottom_Radius<0,Height/2,0>,Top_Radius
texture {Texture}}
#end
#end



