#version unofficial MegaPOV 0.7;
#include "primitives.inc"
#include "lights.inc"

//Views: 1(Front) 2(Top) 3(Side) 4(Wireframe Camera) 5(Render)
#declare View = 4;
//Color_Schemes: 1(Gray/Black) 2(Black/Green) 3(Blue/White)
#declare Color_Scheme = 1;
//Other Declares
#declare Grid_Spacing = 1;
#declare Grid = on;
#declare Axes = on;
#declare Zoom_Factor = 20;
#declare Pan_X = 0;
#declare Pan_Y = 0;
#declare Pan_Z = 0;
#declare Camera = <5,15,-15>;
#declare Target = <0,0,0>;
#declare Camera_Proxy = on;
#declare Light_Proxy = on;
#include "views.inc"

SpotLight(<-5,25,-20>,Tan,<-2,1,5>,5,15,20)
AreaSpot(<10,15,-10>,Wheat,<0,0,0>,15,30,20,<10,0,0>,<0,10,0>,3,3,2)


object {Sphere(1,Red,Red_Marble) scale <1.5,1,1.5> translate <5,2,3>}
object {Cylinder(1.5,2,Green,Jade) rotate x*45 translate <-2,1,5>}
object {Cone(1,.25,3,Blue,Silver_Texture)}
object {Box(3,2,3,Orange,DMFWood6) rotate y*45 translate <-6,3,-3>}
object {Torus(2,.5,White,Glass)} 
object {Plane(1,-1.5,Blue,Blue_Sky)} 
object {Prism(2,-1,1,8,<0,0>,<.5,1.5>,<1,2>,<1.5,2.5>,
<-1,2>,<-2,1>,<-1,.5>,<0,0>,Pink,PinkAlabaster)
translate <5,0,-7>}
object {Lathe (2,8,<0,-.25,0>,<.5,0,0>,<.5,.75,0>,<1.25,1.5,0>,
<1,2,0>,<.5,2.5,0>,<.75,2.75,0>,<0,3,0>,
MidnightBlue,Vicks_Bottle_Glass) translate <0,0,-6>}
object {HFImage("field.tga",<4,2,4>,Yellow,Gold_Metal) translate x*6} 
object {HFPattern(300,300,2,.25,<4,2,4>,Yellow,Gold_Metal) translate <-5,0,-9>} 

