#version unofficial MegaPOV 0.7;

#macro Lathe(Type,Points,V1,V2,V3,V4,V5,V6,V7,V8,Color,Texture)  
#switch(Points)
//3 Point Spline
#case(3)
#if(View<5)
union {
#declare Count=0;
#while(Count<8)
sphere_sweep {
#if(Type=1)
linear_sphere_sweep,
Points,
#else
catmull_rom_spline_sphere_sweep 
Points+2
V1,.03
#end
  V1,.03
  V2,.03
  V3,.03
#if(Type=2)
V3,.03
#end
pigment {Color}
finish {Luminous}
no_shadow
rotate y*45*Count}
#declare Count = Count+1;
#end
union {
#declare Count=0;
#while(Count<360)
sphere{0,.03 
translate V1
rotate y*Count}
#declare Count=Count+1;
#end
#declare Count=0;
#while(Count<360)
sphere{0,.03 
translate V2
rotate y*Count}
#declare Count=Count+1;
#end
#declare Count=0;
#while(Count<360)
sphere{0,.03 
translate V3
rotate y*Count}
#declare Count=Count+1;
#end
lathe {
#if(Type=1)
linear_spline
Points,
#else
cubic_spline
Points+2
V1
#end
V1,
V2,
V3        
#if(Type=2)
V1
#end
pigment {Clear}finish {ambient 0 diffuse 0}}
pigment {Color}
finish {Luminous}
no_shadow}}
#else
lathe {
#if(Type=1)
linear_spline
Points,
#else
cubic_spline
Points+2
V1
#end
V1,
V2,
V3        
#if(Type=2)
V1
#end
texture {Texture}}
#end
#break
//4 Point Spline
#case(4)
#if(View<5)
union {
#declare Count=0;
#while(Count<8)
sphere_sweep {
#if(Type=1)
linear_sphere_sweep,
Points,
#else
catmull_rom_spline_sphere_sweep 
Points+2
V1,.03
#end
  V1,.03
  V2,.03
  V3,.03
  V4,.03
#if(Type=2)
V4,.03
#end
pigment {Color}
finish {Luminous}
no_shadow
rotate y*45*Count}
#declare Count = Count+1;
#end
union {
#declare Count=0;
#while(Count<360)
sphere{0,.03 
translate V1
rotate y*Count}
#declare Count=Count+1;
#end
#declare Count=0;
#while(Count<360)
sphere{0,.03 
translate V2
rotate y*Count}
#declare Count=Count+1;
#end
#declare Count=0;
#while(Count<360)
sphere{0,.03 
translate V3
rotate y*Count}
#declare Count=Count+1;
#end
#declare Count=0;
#while(Count<360)
sphere{0,.03 
translate V4
rotate y*Count}
#declare Count=Count+1;
#end
lathe {
#if(Type=1)
linear_spline
Points,
#else
cubic_spline
Points+2
V2
#end
V1,
V2,
V3,        
V4
#if(Type=2)
V3
#end
pigment {Clear}finish {ambient 0 diffuse 0}}
pigment {Color}
finish {Luminous}
no_shadow}}
#else
lathe {
#if(Type=1)
linear_spline
Points,
#else
cubic_spline
Points+2
V2
#end
V1,
V2,
V3,        
V4
#if(Type=2)
V3
#end
texture {Texture}}
#end
#break
//5 Point Spline
#case(5)
#if(View<5)
union {
#declare Count=0;
#while(Count<8)
sphere_sweep {
#if(Type=1)
linear_sphere_sweep,
Points,
#else
catmull_rom_spline_sphere_sweep 
Points+2
V1,.03
#end
  V1,.03
  V2,.03
  V3,.03
  V4,.03
  V5,.03
#if(Type=2)
V5,.03
#end
pigment {Color}
finish {Luminous}
no_shadow
rotate y*45*Count}
#declare Count = Count+1;
#end
union {
#declare Count=0;
#while(Count<360)
sphere{0,.03 
translate V1
rotate y*Count}
#declare Count=Count+1;
#end
#declare Count=0;
#while(Count<360)
sphere{0,.03 
translate V2
rotate y*Count}
#declare Count=Count+1;
#end
#declare Count=0;
#while(Count<360)
sphere{0,.03 
translate V3
rotate y*Count}
#declare Count=Count+1;
#end
#declare Count=0;
#while(Count<360)
sphere{0,.03 
translate V4
rotate y*Count}
#declare Count=Count+1;
#end
#declare Count = 0;
#while(Count<360)
sphere{0,.03 
translate V5
rotate y*Count}
#declare Count=Count+1;
#end
lathe {
#if(Type=1)
linear_spline
Points,
#else
cubic_spline
Points+2
V3
#end
V1,
V2,
V3,        
V4,
V5
#if(Type=2)
V3
#end
pigment {Clear}finish {ambient 0 diffuse 0}}
pigment {Color}
finish {Luminous}
no_shadow}}
#else
lathe {
#if(Type=1)
linear_spline
Points,
#else
cubic_spline
Points+2
V3
#end
V1,
V2,
V3,        
V4,
V5
#if(Type=2)
V3
#end
texture {Texture}}
#end
#break
//6 Point Spline
#case(6)
#if(View<5)
union {
#declare Count=0;
#while(Count<8)
sphere_sweep {
#if(Type=1)
linear_sphere_sweep,
Points,
#else
catmull_rom_spline_sphere_sweep 
Points+2
V1,.03
#end
  V1,.03
  V2,.03
  V3,.03
  V4,.03
  V5,.03
  V6,.03
#if(Type=2)
V6,.03
#end
pigment {Color}
finish {Luminous}
no_shadow
rotate y*45*Count}
#declare Count = Count+1;
#end
#union {
#declare Count=0;
#while(Count<360)
sphere{0,.03 
translate V1
rotate y*Count}
#declare Count=Count+1;
#end
#declare Count=0;
#while(Count<360)
sphere{0,.03 
translate V2
rotate y*Count}
#declare Count=Count+1;
#end
#declare Count=0;
#while(Count<360)
sphere{0,.03 
translate V3
rotate y*Count}
#declare Count=Count+1;
#end
#declare Count=0;
#while(Count<360)
sphere{0,.03 
translate V4
rotate y*Count}
#declare Count=Count+1;
#end
#declare Count=0;
#while(Count<360)
sphere{0,.03 
translate V5
rotate y*Count}
#declare Count=Count+1;
#end
#declare Count=0;
#while(Count<360)
sphere{0,.03 
translate V6
rotate y*Count}
#declare Count=Count+1;
#end
lathe {
#if(Type=1)
linear_spline
Points,
#else
cubic_spline
Points+2
V4
#end
V1,
V2,
V3,        
V4,
V5,
V6
#if(Type=2)
V3
#end
pigment {Clear}finish {ambient 0 diffuse 0}}
pigment {Color}
finish {Luminous}
no_shadow}}
#else
lathe {
#if(Type=1)
linear_spline
Points,
#else
cubic_spline
Points+2
V4
#end
V1,
V2,
V3,        
V4,
V5,
V6
#if(Type=2)
V3
#end
texture {Texture}}
#end
#break
//7 Point Spline
#case(7)
#if(View<5)
union {
#declare Count=0;
#while(Count<8)
sphere_sweep {
#if(Type=1)
linear_sphere_sweep,
Points,
#else
catmull_rom_spline_sphere_sweep 
Points+2
V1,.03
#end
  V1,.03
  V2,.03
  V3,.03
  V4,.03
  V5,.03
  V6,.03
  V7,.03
#if(Type=2)
V7,.03
#end
pigment {Color}
finish {Luminous}
no_shadow
rotate y*45*Count}
#declare Count = Count+1;
#end
union {
#declare Count=0;
#while(Count<360)
sphere{0,.03 
translate V1
rotate y*Count}
#declare Count=Count+1;
#end
#declare Count=0;
#while(Count<360)
sphere{0,.03 
translate V2
rotate y*Count}
#declare Count=Count+1;
#end
#declare Count=0;
#while(Count<360)
sphere{0,.03 
translate V3
rotate y*Count}
#declare Count=Count+1;
#end
#declare Count=0;
#while(Count<360)
sphere{0,.03 
translate V4
rotate y*Count}
#declare Count=Count+1;
#end
#declare Count=0;
#while(Count<360)
sphere{0,.03 
translate V5
rotate y*Count}
#declare Count=Count+1;
#end
#declare Count=0;
#while(Count<360)
sphere{0,.03 
translate V6
rotate y*Count}
#declare Count=Count+1;
#end
#declare Count=0;
#while(Count<360)
sphere{0,.03 
translate V7
rotate y*Count}
#declare Count=Count+1;
#end
lathe {
#if(Type=1)
linear_spline
Points,
#else
cubic_spline
Points+2
V5
#end
V1,
V2,
V3,        
V4,
V5,
V6,
V7
#if(Type=2)
V3
#end
pigment {Clear}finish {ambient 0 diffuse 0}}
pigment {Color}
finish {Luminous}
no_shadow}}
#else
lathe {
#if(Type=1)
linear_spline
Points,
#else
cubic_spline
Points+2
V5
#end
V1,
V2,
V3,        
V4,
V5,
V6,
V7
#if(Type=2)
V3
#end
texture {Texture}}
#end
#break
//8 Point Spline
#case(8)
#if(View<5)
union {
#declare Count=0;
#while(Count<8)
sphere_sweep {
#if(Type=1)
linear_sphere_sweep,
Points,
#else
catmull_rom_spline_sphere_sweep 
Points+2
V1,.03
#end
  V1,.03
  V2,.03
  V3,.03
  V4,.03
  V5,.03
  V6,.03
  V7,.03
  V8,.03
#if(Type=2)
V8,.03
#end
pigment {Color}
finish {Luminous}
no_shadow
rotate y*45*Count}
#declare Count = Count+1;
#end
#union {
#declare Count=0;
#while(Count<360)
sphere{0,.03 
translate V1
rotate y*Count}
#declare Count=Count+1;
#end
#declare Count=0;
#while(Count<360)
sphere{0,.03 
translate V2
rotate y*Count}
#declare Count=Count+1;
#end
#declare Count=0;
#while(Count<360)
sphere{0,.03 
translate V3
rotate y*Count}
#declare Count=Count+1;
#end
#declare Count=0;
#while(Count<360)
sphere{0,.03 
translate V4
rotate y*Count}
#declare Count=Count+1;
#end
#declare Count=0;
#while(Count<360)
sphere{0,.03 
translate V5
rotate y*Count}
#declare Count=Count+1;
#end 
#declare Count=0;
#while(Count<360)
sphere{0,.03 
translate V6
rotate y*Count}
#declare Count=Count+1;
#end
#declare Count=0;
#while(Count<360)
sphere{0,.03 
translate V7
rotate y*Count}
#declare Count=Count+1;
#end
#declare Count=0;
#while(Count<360)
sphere{0,.03 
translate V8
rotate y*Count}
#declare Count=Count+1;
#end
lathe {
#if(Type=1)
linear_spline
Points,
#else
cubic_spline
Points+2
V6
#end
V1,
V2,
V3,        
V4,
V5,
V6,
V7,
V8
#if(Type=2)
V3
#end
pigment {Clear}finish {ambient 0 diffuse 0}}
pigment {Color}
finish {Luminous}
no_shadow}}
#else
lathe {
#if(Type=1)
linear_spline
Points,
#else
cubic_spline
Points+2
V6
#end
V1,
V2,
V3,        
V4,
V5,
V6,
V7,
V8
#if(Type=2)
V3
#end
texture {Texture}}
#end
#end 
#end



